summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'virtual')
-rw-r--r--virtual/wine/wine-0-r5.ebuild (renamed from virtual/wine/wine-0-r4.ebuild)12
1 files changed, 7 insertions, 5 deletions
diff --git a/virtual/wine/wine-0-r4.ebuild b/virtual/wine/wine-0-r5.ebuild
index cf17eab1c251..9371f2d57ed3 100644
--- a/virtual/wine/wine-0-r4.ebuild
+++ b/virtual/wine/wine-0-r5.ebuild
@@ -7,7 +7,9 @@ DESCRIPTION="Virtual for Wine that supports multiple variants and slotting"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="d3d9 staging"
+IUSE="+abi_x86_32 +abi_x86_64 d3d9 staging"
+
+REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )"
# Note, the ordering here is intentional, to take advantage of the short-circuit
# logic of portage, to enforce wine-vanilla as default for new users. The idea
@@ -23,9 +25,9 @@ RDEPEND="
app-emulation/wine-any[d3d9]
) )
|| (
- app-emulation/wine-vanilla
- app-emulation/wine-staging
- app-emulation/wine-d3d9
- app-emulation/wine-any
+ app-emulation/wine-vanilla[abi_x86_32=,abi_x86_64=]
+ app-emulation/wine-staging[abi_x86_32=,abi_x86_64=]
+ app-emulation/wine-d3d9[abi_x86_32=,abi_x86_64=]
+ app-emulation/wine-any[abi_x86_32=,abi_x86_64=]
)
!app-emulation/wine:0"